Subject: bug#49278: [External] : bug#49278: 28.0.50; Lisp Mode is for Common Lisp

From: Drew Adams <[email-masked]>
Date: Mon, 27 Sep 2021 22:05:49 +0000

> >> "Because it's only appropriate for Common Lisp."  Good enough?
> > No.  We don't know that.  We can't know that.
> 
> Whether it works for other modes is not important.  What we should
> document is what it's intended to support.
> 
> People have used `c-mode` for many other languages than C over the
> years, yet we haven't changed its documentation to say it for C-like
> languages.
> 
> I don't understand why `lisp-mode` should be treated differently.

I don't see how what you're saying is different
from what I said, but I sense that you intend
it to mean something different.

I'm not asking that lisp-mode be changed to say
it's for Lisp-like languages.

Either it's only good for Common Lisp, and you
know that, or that's not the case.  If that's
the case then maybe it should be renamed to
common-lisp-mode or cl-mode, to avoid misleading.

If we don't know that to be the case then I'd
say ... leave it alone.

It's a Lisp mode.  (George: "Is there a rosy hue?"
Jerry: "There's...a...hue")

We know it kinda works for Common Lisp.  You
apparently know it kinda doesn't work for Scheme
or Clojure.

It sounds like the main question here is whether
to call it out as something only for Common Lisp,
in which its name should be changed, or to leave
as an ambiguous "Lisp" mode, and maybe point out
that at least it's kinda usable with Common Lisp
but there are this-and-that modes for dialects
Closure, Scheme,...